# Generated from my_representatives-0.0.6.gem by gem2rpm -*- rpm-spec -*-
%global gem_name my_representatives

Name: rubygem-%{gem_name}
Version: 0.0.6
Release: 1%{?dist}
Summary: Aggregates contact information for Australian State and Commonwealth Members, and Senators
License: MIT
URL: https://github.com/tennantje/MyRepresentatives
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
# BuildRequires: rubygem(rspec) >= 3.4
# BuildRequires: rubygem(rspec) < 4
# BuildRequires: rubygem(pry-byebug) >= 3.1
# BuildRequires: rubygem(pry-byebug) < 4
BuildArch: noarch

%description
Ruby software to scrape multiple Australian State and Federal Government data
sources, and provide consistently formatted data.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# rspec spec
popd

%files
%dir %{gem_instdir}
%exclude %{gem_instdir}/.gitignore
%license %{gem_instdir}/LICENSE.md
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%{gem_instdir}/Gemfile
%doc %{gem_instdir}/README.md
%{gem_instdir}/my_representatives.gemspec

%changelog
* Tue Apr 19 2022 mockbuilder - 0.0.6-1
- Initial package
